#
# Conditional build:
%bcond_with	tests	# "make check" run (some pylint false positive?)

Summary:	A utility for viewing problems that have occurred with the system
Summary(pl.UTF-8):	Narzędzie do przeglądania problemów, które wystąpiły w systemie
Name:		gnome-abrt
Version:	1.4.3
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/abrt/gnome-abrt/releases
Source0:	https://github.com/abrt/gnome-abrt/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cebca029db214213634024b144111fbe
URL:		https://github.com/abrt/abrt/wiki/gnome-abrt
BuildRequires:	abrt-gui-devel >= 2.4.0
BuildRequires:	asciidoc
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libreport-gtk-devel >= 2.4.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	py3lint}
BuildRequires:	python3-devel >= 1:3.4
%{?with_tests:BuildRequires:	python3-humanize}
%{?with_tests:BuildRequires:	python3-libreport}
BuildRequires:	python3-pygobject3-devel >= 3.29.1
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
Requires(post,postun):	gtk-update-icon-cache
Requires:	abrt-dbus
Requires:	abrt-gui-libs >= 2.4.0
Requires:	hicolor-icon-theme
Requires:	libreport-gtk >= 2.4.0
Requires:	python3-dbus
Requires:	python3-humanize
Requires:	python3-libreport >= 2.4.0
Requires:	python3-pygobject3 >= 3.29.1
Requires:	python3-pyinotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNOME application allows users to browse through detected problems
and provides them with convenient way for managing these problems.

%description -l pl.UTF-8
Aplikacja GNOME pozwalająca użytkownikom przeglądać wykryte problemy i
zapewniająca wygodny sposób zarządzania tymi problemami.

%prep
%setup -q

%build
%meson build \
	%{?with_tests:-Dlint=true}

%ninja_build -C build

%if %{with tests}
%ninja_test -C build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gnome-abrt
%dir %{py3_sitedir}/gnome_abrt
%{py3_sitedir}/gnome_abrt/*.py
%{py3_sitedir}/gnome_abrt/__pycache__
%dir %{py3_sitedir}/gnome_abrt/wrappers
%{py3_sitedir}/gnome_abrt/wrappers/__init__.py
%{py3_sitedir}/gnome_abrt/wrappers/__pycache__
%attr(755,root,root) %{py3_sitedir}/gnome_abrt/wrappers/_wrappers.cpython-*.so
%{_datadir}/gnome-abrt
%{_datadir}/metainfo/org.freedesktop.GnomeAbrt.appdata.xml
%{_desktopdir}/org.freedesktop.GnomeAbrt.desktop
%{_iconsdir}/hicolor/scalable/apps/org.freedesktop.GnomeAbrt.svg
%{_iconsdir}/hicolor/symbolic/apps/org.freedesktop.GnomeAbrt-symbolic.svg
%{_mandir}/man1/gnome-abrt.1*
%changelog
* Sun Mar 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-abrt.git;a=log;h=master

* Sun Mar 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 951036b
- updated to 1.4.3

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 71c4fae
- Release 5 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c5ce8db
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> f89cc37
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6a2db91
- release 2 (by relup.sh)

* Sat Oct 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 7425169
- updated to 1.3.6

* Wed May 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 8b05b78
- updated to 1.3.2

* Wed Mar 18 2020 Jakub Bogusz <qboosh@pld-linux.org> c287d71
- drop version from humanize, it was just a copy-pasto

* Wed Mar 18 2020 Jan Rękorajski <baggins@pld-linux.org> bb4a320
- fix BRs, there is no such thing as python3-humanize 2.4.0, last version is 2.0.0
- rel 3

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 72f590c
- abrt-gui headers still required; release 2

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 6066e84
- abrt-gui headers still required

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 021b9d0
- requires humanize module now

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> e37044c
- new URLs, updated to 1.3.1
- removed obsolete pylint patch

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 021489d
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 643f893
- rebuild with python 3.8
- release 5 (by relup.sh)

* Fri Jul 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 70d7565
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 30c4be2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 00b5779
- python 3.6
- release 2 (by relup.sh)

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 20f36f8
- updated to 1.2.5

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> a920823
- updated to 1.2.4

